Index: gli/trunk/gli.sh
===================================================================
--- gli/trunk/gli.sh	(revision 14129)
+++ gli/trunk/gli.sh	(revision 14977)
@@ -2,25 +2,45 @@
 glilang=en
 
+if [ "x$PROGNAME" = "x" ] ; then
+  if [ "$glilang" = "es" ]; then
+    PROGNAME="Biblioteca Digital Greenstone"
+  elif [ "$glilang" = "fr" ]; then
+    PROGNAME="Bibliothécaire Greenstone"
+  elif [ "$glilang" = "ru" ]; then
+    PROGNAME="ÉÎÔÅÒÆÅÊÓ Greenstone"
+  else
+    PROGNAME="Greenstone Librarian Interface"
+  fi
+fi
+
+if [ "x$PROGABBR" = "x" ] ; then
+    PROGABBR="GLI"
+fi
+
+if [ "x$PROGNAME_EN" = "x" ] ; then
+    PROGNAME_EN="Greenstone Librarian Interface"
+fi
+
 echo
 if [ "$glilang" = "es" ]; then
-    echo "Interfaz de la Biblioteca Digital Greenstone (Greenstone Librarian Interface - GLI)"
+    echo "Interfaz de la $PROGNAME ($PROGNAME_EN - $PROGABBR)"
     echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
-    echo "La Interfaz de la Biblioteca Digital Greenstone NO INCLUYE ABSOLUTAMENTE NINGUNA GARANTÍA."
+    echo "La Interfaz de la $PROGNAME NO INCLUYE ABSOLUTAMENTE NINGUNA GARANTÍA."
     echo "Para mayor información vea los términos de la licencia en LICENSE.txt"
     echo "Este es un software abierto, por lo que lo invitamos a que lo distribuya de forma gratuita"
 elif [ "$glilang" = "fr" ]; then
-    echo "Interface du Bibliothécaire Greenstone (Greenstone Librarian Interface - GLI)"
+    echo "Interface du $PROGNAME ($PROGNAME_EN - $PROGABBR)"
     echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
-    echo "GLI est fourni sans AUCUNE GARANTIE; pour des détails, voir LICENSE.txt"
+    echo "$PROGABBR est fourni sans AUCUNE GARANTIE; pour des détails, voir LICENSE.txt"
     echo "Ceci est un logiciel libre, et vous êtes invité à le redistribuer"
 elif [ "$glilang" = "ru" ]; then
-    echo "âÉÂÌÉÏÔÅÞÎÙÊ ÉÎÔÅÒÆÅÊÓ Greenstone (Greenstone Librarian Interface - GLI)"
+    echo "âÉÂÌÉÏÔÅÞÎÙÊ $PROGNAME ($PROGNAME_EN - $PROGABBR)"
     echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
     echo "âéç ÎÅ ÄÁÅÔ áâóïìàôîï îéëáëéè çáòáîôéê; ÄÅÔÁÌÉ ÓÍ. × ÔÅËÓÔÅ LICENSE.TXT"
     echo "üÔÏ - Ó×ÏÂÏÄÎÏ ÒÁÓÐÒÏÓÔÒÁÎÑÅÍÏÅ ÐÒÏÇÒÁÍÍÎÏÅ ÏÂÅÓÐÅÞÅÎÉÅ É ÷Ù ÍÏÖÅÔÅ ÒÁÓÐÒÏÓÔÒÁÎÑÔØ ÅÇÏ"
 else
-    echo "Greenstone Librarian Interface (GLI)"
+    echo "$PROGNAME ($PROGABBR)"
     echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
-    echo "GLI comes with ABSOLUTELY NO WARRANTY; for details see LICENSE.txt"
+    echo "$PROGABBR comes with ABSOLUTELY NO WARRANTY; for details see LICENSE.txt"
     echo "This is free software, and you are welcome to redistribute it"
 fi
@@ -119,20 +139,20 @@
     echo
     if [ "$glilang" = "es" ]; then
-	echo "La Interfaz de la Biblioteca Digital Greenstone requiere Perl para "
+	echo "La Interfaz de la $PROGNAME requiere Perl para "
 	echo "poder operar, pero éste no aparece en su sistema. Por favor asegúrese "
 	echo "de que Perl está instalado y se encuentra en su ruta de búsqueda. A "
 	echo "continuación ejecute nuevamente este guión."
     elif [ "$glilang" = "fr" ]; then
-	echo "Greenstone Librarian Interface nécessite perl pour son fonctionnement,"
+	echo "$PROGNAME nécessite Perl pour son fonctionnement,"
 	echo "mais perl n'a pas pu être détecté dans votre système. Veuillez vous "
 	echo "assurer que perl est installé et est spécifié dans votre chemin de "
 	echo "recherche, puis redémarrez ce script."
     elif [ "$glilang" = "ru" ]; then
-	echo "âÉÂÌÉÏÔÅÞÎÙÊ ÉÎÔÅÒÆÅÊÓ Greenstone ÔÒÅÂÕÅÔ Perl, ÞÔÏÂÙ ÉÍÅÔØ ×ÏÚÍÏÖÎÏÓÔØ"
+	echo "âÉÂÌÉÏÔÅÞÎÙÊ $PROGNAME ÔÒÅÂÕÅÔ Perl, ÞÔÏÂÙ ÉÍÅÔØ ×ÏÚÍÏÖÎÏÓÔØ"
 	echo "ÒÁÂÏÔÁÔØ, ÎÏ Perl ÎÅ ÂÙÌ × ×ÁÛÅÊ ÓÉÓÔÅÍÅ. ðÏÖÁÌÕÊÓÔÁ, ÐÏÄÔ×ÅÒÄÉÔÅ, ÞÔÏ "
 	echo "Perl ÕÓÔÁÎÏ×ÌÅÎ É ÎÁÈÏÄÉÔÓÑ ÎÁ ×ÁÛÅÍ ÐÕÔÉ ÐÏÉÓËÁ, ÚÁÔÅÍ ÐÏ×ÔÏÒÎÏ××ÅÄÉÔÅ"
 	echo "ÜÔÏÔ ÓËÒÉÐÔ."
     else
-	echo "The Greenstone Librarian Interface requires perl in order to operate,"
+	echo "The $PROGNAME requires Perl in order to operate,"
 	echo "but perl could not be detected on your system. Please ensure that perl"
 	echo "is installed and is on your search path, then rerun this script."
@@ -173,17 +193,17 @@
 	echo "No se pudo localizar una versión apropiada de Java. Usted deberá "
 	echo "instalar un Ambiente de Ejecución Java (versión 1.4 o superior) "
-	echo "antes de correr la Interfaz de la Biblioteca Digital Greenstone."
+	echo "antes de correr la Interfaz de la $PROGNAME."
     elif [ "$glilang" = "fr" ]; then
 	echo "Une version adéquate de Java n'a pas pu être localisée."
 	echo "Vous devez installer un Java Runtime Environment (version 1.4 ou"
-	echo "supérieur) avant de démarrer Greenstone Librarian Interface."
+	echo "supérieur) avant de démarrer $PROGNAME."
     elif [ "$glilang" = "ru" ]; then
 	echo "îÅ ÕÄÁÌÏÓØ ÏÐÒÅÄÅÌÉÔØ ÍÅÓÔÏÎÁÈÏÖÄÅÎÉÅ ÓÏÏÔ×ÅÔÓÔ×ÕÀÝÅÊ ×ÅÒÓÉÉ Java."
 	echo "÷Ù ÄÏÌÖÎÙ ÕÓÔÁÎÏ×ÉÔØ Java Runtime Environment (×ÅÒÓÉÀ 1.4 ÉÌÉ ×ÙÛÅ)"
-	echo "ÐÅÒÅÄ ××ÏÄÏÍ ÂÉÂÌÉÏÔÅÞÎÏÇÏ ÉÎÔÅÒÆÅÊÓÁ Greenstone."
+	echo "ÐÅÒÅÄ ××ÏÄÏÍ ÂÉÂÌÉÏÔÅÞÎÏÇÏ $PROGNAME."
     else
 	echo "Failed to locate an appropriate version of Java. You must install a"
 	echo "Java Runtime Environment (version 1.4 or greater) before running the"
-	echo "Greenstone Librarian Interface."
+	echo "$PROGNAME."
     fi
     exit 1
@@ -198,20 +218,20 @@
 	echo "La versión del Ambiente de Ejecución Java (JRE por sus siglas en "
 	echo "inglés) que usted tiene instalada es demasiado vieja para ejecutar "
-	echo "la Interfaz de la Biblioteca Digital Greenstone. Por favor instale "
+	echo "la Interfaz de la $PROGNAME. Por favor instale "
 	echo "una nueva versión del Ambiente de Ejecución Java (versión 1.4 o "
 	echo "posterior) y ejecute nuevamente este guión."
     elif [ "$glilang" = "fr" ]; then
 	echo "La version de Java Runtime Environment que vous avez installée est"
-	echo "trop vielle pour faire fonctionner Greenstone Librarian Interface."
+	echo "trop vielle pour faire fonctionner $PROGNAME."
 	echo "Veuillez installer une nouvelle version du JRE (version 1.4 ou plus"
 	echo "récente) et redémarrez le script."
     elif [ "$glilang" = "ru" ]; then
 	echo "÷ÅÒÓÉÑ Java Runtime Environment, ËÏÔÏÒÕÀ ÷Ù ÕÓÔÁÎÏ×ÉÌÉ, ÏÞÅÎØ ÓÔÁÒÁ,"
-	echo "ÞÔÏÂÙ ÕÐÒÁ×ÌÑÔØ ÂÉÂÌÉÏÔÅÞÎÙÍ ÉÎÔÅÒÆÅÊÓÏÍ Greenstone. ðÏÖÁÌÕÊÓÔÁ, "
+	echo "ÞÔÏÂÙ ÕÐÒÁ×ÌÑÔØ ÂÉÂÌÉÏÔÅÞÎÙÍ $PROGNAME. ðÏÖÁÌÕÊÓÔÁ, "
 	echo "ÕÓÔÁÎÏ×ÉÔÅ ÎÏ×ÕÀ ×ÅÒÓÉÀ JRE (×ÅÒÓÉÀ 1.4 ÉÌÉ ÂÏÌÅÅ ÎÏ×ÕÀ) É"
 	echo "ÐÅÒÅÕÓÔÁÎÏ×ÉÔÅ ÜÔÏÔ ÓËÒÉÐÔ"
     else
 	echo "The version of the Java Runtime Environment you have installed is too"
-	echo "old to run the Greenstone Librarian Interface. Please install a new"
+	echo "old to run the $PROGNAME. Please install a new"
 	echo "version of the JRE (version 1.4 or newer) and rerun this script."
     fi
@@ -241,11 +261,11 @@
 echo
 if [ "$glilang" = "es" ]; then
-    echo "Ejecutando la Interfaz de la Biblioteca Digital Greenstone..."
-elif [ "$glilang" = "fr" ]; then
-    echo "Exécution de Greenstone Librarian Interface"
-elif [ "$glilang" = "ru" ]; then
-    echo "ôÅËÕÝÉÊ ÂÉÂÌÉÏÔÅÞÎÙÊ ÉÎÔÅÒÆÅÊÓ Greenstone..."
-else
-    echo "Running the Greenstone Librarian Interface..."
+    echo "Ejecutando la Interfaz de la $PROGNAME..."
+elif [ "$glilang" = "fr" ]; then
+    echo "Exécution de $PROGNAME..."
+elif [ "$glilang" = "ru" ]; then
+    echo "ôÅËÕÝÉÊ ÂÉÂÌÉÏÔÅÞÎÙÊ $PROGNAME..."
+else
+    echo "Running the $PROGNAME..."
 fi
 
@@ -271,11 +291,11 @@
     echo
     if [ "$glilang" = "es" ]; then
-        echo "Restarting/Ejecutando la Interfaz de la Biblioteca Digital Greenstone..."
-    elif [ "$glilang" = "fr" ]; then
-        echo "Restarting/Exécution de Greenstone Librarian Interface"
-    elif [ "$glilang" = "ru" ]; then
-        echo "Restarting/ôÅËÕÝÉÊ ÂÉÂÌÉÏÔÅÞÎÙÊ ÉÎÔÅÒÆÅÊÓ Greenstone..."
-    else
-        echo "Restarting the Greenstone Librarian Interface..."
+        echo "Restarting/Ejecutando la Interfaz de la $PROGNAME..."
+    elif [ "$glilang" = "fr" ]; then
+        echo "Restarting/Exécution de $PROGNAME..."
+    elif [ "$glilang" = "ru" ]; then
+        echo "Restarting/ôÅËÕÝÉÊ ÂÉÂÌÉÏÔÅÞÎÙÊ $PROGNAME..."
+    else
+        echo "Restarting the $PROGNAME..."
     fi
 