Index: gsdl/trunk/macros/arabic2.dm
===================================================================
--- gsdl/trunk/macros/arabic2.dm	(revision 14999)
+++ gsdl/trunk/macros/arabic2.dm	(revision 15000)
@@ -1649,5 +1649,5 @@
 Ø±ÙØ± ÙØ¬Øš Ø£Ù ØªÙÙÙ Ù
 ÙÙÙØ© Ù
-Ù 3 Ø¥ÙÙ 8 Ø­Ø±ÙÙ. ÙÙÙ
+Ù 3 Ø¥ÙÙ 128 Ø­Ø±ÙÙ. ÙÙÙ
 ÙÙ Ø£Ù ØªØ­ØªÙÙ Ø¹ÙÙ Ø£Ù Ø­Ø±ÙÙ.}  # Updated 11-Aug-2006
 
Index: gsdl/trunk/macros/catalan2.dm
===================================================================
--- gsdl/trunk/macros/catalan2.dm	(revision 14999)
+++ gsdl/trunk/macros/catalan2.dm	(revision 15000)
@@ -509,5 +509,5 @@
 _textaboutusername_ [l=ca] {Els noms d'usuari han de ser d'entre 2 i 30 carÃ cters. Poden contenir carÃ cters alfanumÃšrics,  '.' i '_'.}
 
-_textaboutpassword_ [l=ca] {Les contrasenyes han de ser d'entre 3 i 8 carÃ cters. Poden contenir tots els carÃ cters normals d'ASCII que es poden imprimir. }
+_textaboutpassword_ [l=ca] {Les contrasenyes han de ser d'entre 3 i 128 carÃ cters. Poden contenir tots els carÃ cters normals d'ASCII que es poden imprimir. }
 
 _textoldpass_ [l=ca] {Si aquest camp estÃ  en blanc, es conservarÃ  l'antiga contrasenya. }
Index: gsdl/trunk/macros/chinese-trad2.dm
===================================================================
--- gsdl/trunk/macros/chinese-trad2.dm	(revision 14999)
+++ gsdl/trunk/macros/chinese-trad2.dm	(revision 15000)
@@ -878,5 +878,5 @@
 }
 
-_textaboutpassword_ [l=zh-tr] {å¯ç¢Œé çº3~8åASCIIå­}
+_textaboutpassword_ [l=zh-tr] {å¯ç¢Œé çº3~128åASCIIå­}
 
 _textoldpass_ [l=zh-tr] {è¥æ­€æ¬ç©ºçœïŒå°ä¿çèå¯ç¢Œã}
Index: gsdl/trunk/macros/czech2.dm
===================================================================
--- gsdl/trunk/macros/czech2.dm	(revision 14999)
+++ gsdl/trunk/macros/czech2.dm	(revision 15000)
@@ -567,5 +567,5 @@
 _textaboutusername_ [l=cs] {UÅŸivatelskÃ© jmÃ©no musÃ­ mÃ­t dÃ©lku 2-30 znakÅ¯. MÅ¯ÅŸe obsahovat alfanumerickÃ© znaky, teÄku(.) a podtrÅŸÃ­tko ( _ ).}
 
-_textaboutpassword_ [l=cs] {Heslo musÃ­ mÃ­t dÃ©lku 3-8 znakÅ¯. MÅ¯ÅŸe obsahovat tisknutelnÃ© znaky ASCII.}
+_textaboutpassword_ [l=cs] {Heslo musÃ­ mÃ­t dÃ©lku 3-128 znakÅ¯. MÅ¯ÅŸe obsahovat tisknutelnÃ© znaky ASCII.}
 
 _textoldpass_ [l=cs] {Pokud je toto pole prÃ¡zdnÃ©, bude zachovÃ¡no starÃ© heslo.}
Index: gsdl/trunk/macros/english2.dm
===================================================================
--- gsdl/trunk/macros/english2.dm	(revision 14999)
+++ gsdl/trunk/macros/english2.dm	(revision 15000)
@@ -820,5 +820,5 @@
 
 _textaboutpassword_ {
-Passwords must be between 3 and 8 characters long. They can contain any
+Passwords must be between 3 and 128 characters long. They can contain any
 normal printable ASCII characters.
 }
Index: gsdl/trunk/macros/french2.dm
===================================================================
--- gsdl/trunk/macros/french2.dm	(revision 14999)
+++ gsdl/trunk/macros/french2.dm	(revision 15000)
@@ -898,5 +898,5 @@
 }
 
-_textaboutpassword_ [l=fr] {Les mots de passe doivent comporter entre 3 et 8 caractÃšres. Ils peuvent
+_textaboutpassword_ [l=fr] {Les mots de passe doivent comporter entre 3 et 128 caractÃšres. Ils peuvent
 contenir n'importe quel caractÃšre ASCII imprimable.
 
Index: gsdl/trunk/macros/galician2.dm
===================================================================
--- gsdl/trunk/macros/galician2.dm	(revision 14999)
+++ gsdl/trunk/macros/galician2.dm	(revision 15000)
@@ -870,5 +870,5 @@
 }
 
-_textaboutpassword_ [l=gl] {Os contrasinais deben ser de entre 3 e 8 caracteres, e poden comprender todos os
+_textaboutpassword_ [l=gl] {Os contrasinais deben ser de entre 3 e 128 caracteres, e poden comprender todos os
 caracteres ASCII imprimibles.
 }
Index: gsdl/trunk/macros/georgian2.dm
===================================================================
--- gsdl/trunk/macros/georgian2.dm	(revision 14999)
+++ gsdl/trunk/macros/georgian2.dm	(revision 15000)
@@ -541,8 +541,8 @@
 _textadduser_ [l=ka] {áá®ááá áááá®ááá ááááá¡ ááááá¢ááá}
 
-_textaboutusername_ [l=ka] {áááá®ááá ááááá¡ á¡áá®áááá¡ á¡ááá á«á á£ááá áá§áá¡ 2 -30 á¡ááááááááá. ááá ášááá«áááá ášáááªááááá¡ á áááá áª ááááááá¡ áá¡ááá áªáá€á áááá¡ áá â.âáá â_â á¡ááááááááá¡.
-}
-
-_textaboutpassword_ [l=ka] {ááá áááá¡ á¡ááá á«á á£ááá áá§áá¡ 3-8 á¡áááááá. ááá ášááá«áááá ášáááªááááá¡ á©ááá£áááá áá ASCII  á¡ááááááááá¡.
+_textaboutusername_ [l=ka] {áááá®ááá ááááá¡ á¡áá®áááá¡ á¡ááá á«á á£ááá áá§áá¡ 2-30 á¡ááááááááá. ááá ášááá«áááá ášáááªááááá¡ á áááá áª ááááááá¡ áá¡ááá áªáá€á áááá¡ áá â.âáá â_â á¡ááááááááá¡.
+}
+
+_textaboutpassword_ [l=ka] {ááá áááá¡ á¡ááá á«á á£ááá áá§áá¡ 3-128 á¡áááááá. ááá ášááá«áááá ášáááªááááá¡ á©ááá£áááá áá ASCII  á¡ááááááááá¡.
 }
 
Index: gsdl/trunk/macros/italian2.dm
===================================================================
--- gsdl/trunk/macros/italian2.dm	(revision 14999)
+++ gsdl/trunk/macros/italian2.dm	(revision 15000)
@@ -522,5 +522,5 @@
 _textaboutusername_ [l=it] {Gli username devono essere lunghi tra 2 e 30 caratteri. Essi possono contenere caratteri alfanumerici,  '.', e '_'.}
 
-_textaboutpassword_ [l=it] {La password deve essere lunga fra 3 e 8 caratteri. Essi possono contenere qualsiasi normale carattere ASCII stampabile.}
+_textaboutpassword_ [l=it] {La password deve essere lunga fra 3 e 128 caratteri. Essi possono contenere qualsiasi normale carattere ASCII stampabile.}
 
 _textoldpass_ [l=it] {Se questo campo Ãš vuoto la vecchia password sarÃ  mantenuta.}
Index: gsdl/trunk/macros/kazakh2.dm
===================================================================
--- gsdl/trunk/macros/kazakh2.dm	(revision 14999)
+++ gsdl/trunk/macros/kazakh2.dm	(revision 15000)
@@ -479,5 +479,5 @@
 _textaboutusername_ [l=kk] {ÒÐŸÐ»ÐŽÐ°ÐœÑÑÑ Ð°ÑÑÐœÑÒ£ Ò±Ð·ÑÐœÐŽÑÒÑ 2-30 ÑÐžÐŒÐ²ÐŸÐ» Ð°ÑÐ°Ð»ÑÒÑÐœÐŽÐ° Ð±ÐŸÐ»ÑÑ ÒÐ°Ð¶ÐµÑ. ÐÐ» ÓÑÑÐ¿ÑÑÐº-ÑÐžÑÑÐ»Ñ ÑÐžÐŒÐ²ÐŸÐ»ÐŽÐ°Ñ, '.', Ð¶ÓÐœÐµ '_' Ð±ÐµÐ»Ð³ÑÐ»ÐµÑÑÐœÐµÐœ ÑÒ±ÑÐ°ÐŽÑ. }
 
-_textaboutpassword_ [l=kk] {ÐÐ°ÑÐŸÐ»Ñ 3 ÑÐµÐœ 8 ÑÐžÐŒÐ²ÐŸÐ»ÐŸÐ²ÒÐ° ÐŽÐµÐ¹ÑÐœ. ÐÐ°ÑÐŸÐ»Ñ ÑÐµÑÑÐœÐŽÐµ ÓÐŽÐµÑÑÐµÐ³Ñ Ð±Ð°ÑÑÐ»Ð°ÑÑÐœ  ASCII ÑÐžÐŒÐ²ÐŸÐ»ÐŽÐ°Ñ ÒÐŸÐ»ÐŽÐ°ÐœÑÐ»Ð° Ð°Ð»Ð°ÐŽÑ. }
+_textaboutpassword_ [l=kk] {ÐÐ°ÑÐŸÐ»Ñ 3 ÑÐµÐœ 128 ÑÐžÐŒÐ²ÐŸÐ»ÐŸÐ²ÒÐ° ÐŽÐµÐ¹ÑÐœ. ÐÐ°ÑÐŸÐ»Ñ ÑÐµÑÑÐœÐŽÐµ ÓÐŽÐµÑÑÐµÐ³Ñ Ð±Ð°ÑÑÐ»Ð°ÑÑÐœ  ASCII ÑÐžÐŒÐ²ÐŸÐ»ÐŽÐ°Ñ ÒÐŸÐ»ÐŽÐ°ÐœÑÐ»Ð° Ð°Ð»Ð°ÐŽÑ. }
 
 _textoldpass_ [l=kk] {ÐÐ³ÐµÑ Ð±ÐµÑÑÐ»Ð³ÐµÐœ Ð°Ð»Ð°Ò£ Ð±ÐŸÑ Ð±ÐŸÐ»ÑÐ° ÐŸÐœÐŽÐ° ÐµÑÐºÑ Ð¿Ð°ÑÐŸÐ»Ñ ÒÐŸÐ»ÐŽÐ°ÐœÑÐ»Ð°ÐŽÑ.}
Index: gsdl/trunk/macros/romanian2.dm
===================================================================
--- gsdl/trunk/macros/romanian2.dm	(revision 14999)
+++ gsdl/trunk/macros/romanian2.dm	(revision 15000)
@@ -551,5 +551,5 @@
 _textaboutusername_ [l=ro] {Numele utilizatorilor trebuie sÄ fie Ã®ntre 2 Åi 30 de caractere. Acestea pot conÅ£ine caractere alfanumerice, â.â Åi â_â}  # Updated 21-Feb-2007 by Constantinescu
 
-_textaboutpassword_ [l=ro] {Parolele trebuie sÄ aibe o lungime cuprinsÄ Ã®ntre 3 Åi 8 caractere. Acestea pot conÅ£ine doar caractere printabile ASCII}  # Updated 21-Feb-2007 by Constantinescu
+_textaboutpassword_ [l=ro] {Parolele trebuie sÄ aibe o lungime cuprinsÄ Ã®ntre 3 Åi 128 caractere. Acestea pot conÅ£ine doar caractere printabile ASCII}  # Updated 21-Feb-2007 by Constantinescu
 
 _textoldpass_ [l=ro] {dacÄ acest cÃ¢mp este gol, atunci parola veche va fi menÅ£inutÄ.}  # Updated 21-Feb-2007 by Constantinescu
Index: gsdl/trunk/macros/russian2.dm
===================================================================
--- gsdl/trunk/macros/russian2.dm	(revision 14999)
+++ gsdl/trunk/macros/russian2.dm	(revision 15000)
@@ -620,5 +620,5 @@
  ÐŸÑ 2 ÐŽÐŸ 30 ÑÐžÐŒÐ²ÐŸÐ»ÐŸÐ². ÐÐœÐŸ ÐŒÐŸÐ¶ÐµÑ ÑÐŸÐŽÐµÑÐ¶Ð°ÑÑ Ð±ÑÐºÐ²ÐµÐœÐœÐŸ-ÑÐžÑÑÐŸÐ²ÑÐµ ÑÐžÐŒÐ²ÐŸÐ»Ñ, Ð·ÐœÐ°ÐºÐž '.', Ðž '_'. }
 
-_textaboutpassword_ [l=ru] {ÐÐ°ÑÐŸÐ»Ñ ÐŒÐŸÐ¶ÐµÑ ÑÐŸÐŽÐµÑÐ¶Ð°ÑÑ ÐŸÑ 3 ÐŽÐŸ 8 ÑÐžÐŒÐ²ÐŸÐ»ÐŸÐ². Ð ÐºÐ°ÑÐµÑÑÐ²Ðµ Ð¿Ð°ÑÐŸÐ»Ñ ÐŒÐŸÐ³ÑÑ ÐžÑÐ¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÑÑÑÑ ÐŸÐ±ÑÑÐœÑÐµ Ð¿ÐµÑÐ°ÑÐ°ÐµÐŒÑÐµ ASCII ÑÐžÐŒÐ²ÐŸÐ»Ñ. }
+_textaboutpassword_ [l=ru] {ÐÐ°ÑÐŸÐ»Ñ ÐŒÐŸÐ¶ÐµÑ ÑÐŸÐŽÐµÑÐ¶Ð°ÑÑ ÐŸÑ 3 ÐŽÐŸ 128 ÑÐžÐŒÐ²ÐŸÐ»ÐŸÐ². Ð ÐºÐ°ÑÐµÑÑÐ²Ðµ Ð¿Ð°ÑÐŸÐ»Ñ ÐŒÐŸÐ³ÑÑ ÐžÑÐ¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÑÑÑÑ ÐŸÐ±ÑÑÐœÑÐµ Ð¿ÐµÑÐ°ÑÐ°ÐµÐŒÑÐµ ASCII ÑÐžÐŒÐ²ÐŸÐ»Ñ. }
 
 _textoldpass_ [l=ru] {ÐÑÐ»Ðž ÐŽÐ°ÐœÐœÐŸÐµ Ð¿ÐŸÐ»Ðµ Ð¿ÑÑÑÐŸÐµ, ÑÐŸ Ð¿ÐŸÐŽÐŽÐµÑÐ¶ÐžÐ²Ð°ÐµÑÑÑ ÑÑÐ°ÑÑÐ¹ Ð¿Ð°ÑÐŸÐ»Ñ.}
Index: gsdl/trunk/macros/slovak2.dm
===================================================================
--- gsdl/trunk/macros/slovak2.dm	(revision 14999)
+++ gsdl/trunk/macros/slovak2.dm	(revision 15000)
@@ -447,5 +447,5 @@
 _textaboutusername_ [l=sk] {PouÅŸÃ­vateÄŸskÃ© meno musÃ­ byÅ¥ dlhÃ© od 2 do 30 znakov a mÃŽÅŸe obsahovaÅ¥ znaky  '.', a '_'.}  # Updated 17-Nov-2006 by tomasfiala
 
-_textaboutpassword_ [l=sk] {Heslo musÃ­ byÅ¥ dlhÃ© 3 aÅŸ 8 znakov a mÃŽÅŸe sa skladaÅ¥ zo znakov ASCII.}  # Updated 17-Nov-2006 by tomasfiala
+_textaboutpassword_ [l=sk] {Heslo musÃ­ byÅ¥ dlhÃ© 3 aÅŸ 128 znakov a mÃŽÅŸe sa skladaÅ¥ zo znakov ASCII.}  # Updated 17-Nov-2006 by tomasfiala
 
 _textoldpass_ [l=sk] {Ak zostane toto pole prÃ¡zdne bude zachovanÃ© starÃ© heslo.}  # Updated 17-Nov-2006 by tomasfiala
Index: gsdl/trunk/macros/spanish2.dm
===================================================================
--- gsdl/trunk/macros/spanish2.dm	(revision 14999)
+++ gsdl/trunk/macros/spanish2.dm	(revision 15000)
@@ -898,5 +898,5 @@
 }
 
-_textaboutpassword_ [l=es] {Las contraseÃ±as deben ser de entre 3 y 8 caracteres, y pueden comprender
+_textaboutpassword_ [l=es] {Las contraseÃ±as deben ser de entre 3 y 128 caracteres, y pueden comprender
 todos los caracteres ASCII imprimibles.
 }
Index: gsdl/trunk/macros/turkish2.dm
===================================================================
--- gsdl/trunk/macros/turkish2.dm	(revision 14999)
+++ gsdl/trunk/macros/turkish2.dm	(revision 15000)
@@ -708,5 +708,5 @@
 }
 
-_textaboutpassword_ [l=tr] {Åifreler 3 ila 8 karakter arasÄ±nda uzunluÄa sahip olabilir.
+_textaboutpassword_ [l=tr] {Åifreler 3 ila 128 karakter arasÄ±nda uzunluÄa sahip olabilir.
 Åifre iÃ§inde Ã§Ä±ktÄ±sÄ± alÄ±nabilir ASCII karakterleri kullanÄ±labilir.
 }
Index: gsdl/trunk/macros/vietnamese2.dm
===================================================================
--- gsdl/trunk/macros/vietnamese2.dm	(revision 14999)
+++ gsdl/trunk/macros/vietnamese2.dm	(revision 15000)
@@ -571,5 +571,5 @@
 }
 
-_textaboutpassword_ [l=vi] {Máº­t kháº©u pháº£i dÃ i tá»« 3 Äáº¿n 8 kÃœ tá»±. ChÃºng chá» chá»©a cÃ¡c kÃœ tá»± ASCII in ÄÆ°á»£c thÃŽng thÆ°á»ng.
+_textaboutpassword_ [l=vi] {Máº­t kháº©u pháº£i dÃ i tá»« 3 Äáº¿n 128 kÃœ tá»±. ChÃºng chá» chá»©a cÃ¡c kÃœ tá»± ASCII in ÄÆ°á»£c thÃŽng thÆ°á»ng.
 }
 