Index: /gli/trunk/help/en/help.xml
===================================================================
--- /gli/trunk/help/en/help.xml	(revision 15032)
+++ /gli/trunk/help/en/help.xml	(revision 15033)
@@ -27,5 +27,5 @@
 </Title>
 <Text id="13">Don't read this help text all the way through!  Just read enough to learn how to get help when you need it.</Text>
-<Text id="14">The "Help" menu item marks what may be the most appropriate help item with a little book icon.</Text>
+<Text id="14">Clicking on the "Help" icon in a given context either brings up the relevant help text or marks the relevant help heading with a question mark icon.</Text>
 <Text id="15">For many controls, if you station the mouse over them a "tool tip" appears that says what they do.</Text>
 <Text id="16">Before using the Librarian Interface, first read the Greenstone documentation.</Text>
Index: /gli/trunk/help/en/searchindexes.htm
===================================================================
--- /gli/trunk/help/en/searchindexes.htm	(revision 15032)
+++ /gli/trunk/help/en/searchindexes.htm	(revision 15033)
@@ -32,5 +32,5 @@
 <p>To remove an index, select it from the list of Assigned indexes and click "Remove Index".</p>
 
-<p>The order that the indexes are specified in the Assigned Indexes list is the order they appear in the drop down menu on the search page. Use the "Move Up" and "Move Up" buttons to change this ordering. </p>
+<p>The order in which the indexes are specified in the Assigned Indexes list is the order they appear in the drop down menu on the search page. Use the "Move Up" and "Move Up" buttons to change this ordering. </p>
 
 <p>The one that is selected by default on the search page is called the "default index". This can be set by selecting an index from the list and clicking "Set Default". The default index is tagged with "[Default Index]" in the "Assigned Indexes" list. If no default index is set, the first one in the list will be used as the default.</p>
Index: /gli/trunk/help/en/selectingmetadatasets.htm
===================================================================
--- /gli/trunk/help/en/selectingmetadatasets.htm	(revision 15032)
+++ /gli/trunk/help/en/selectingmetadatasets.htm	(revision 15033)
@@ -20,5 +20,5 @@
 <p>To use another metadata set with the loaded collection, click "Add...". A popup window shows you the default metadata sets that GLI knows about. To add one of these, select it from the list and click "Add". If you have defined your own metadata set, you can use the "Browse" button to locate the file on your file system.</p>
 
-<p>To create a new metadata set, click "New...". This will launch the Greenstone Editor for Metadata Sets, GEMS. An initial popup window prompts you for the set name, namespace and description. You can also choose to base the new set on an existing one, in which case it will inherit all the elements from the specified set. Click OK. The main window shows the elements (or if you wish members, or fields) of metadata set on the left hand side, and some attributes for the set on the right hand side. If you have based the set on an existing one, one or more elements will be displayed. Clicking one displays attributes of the element in the right hand side.</p>
+<p>To create a new metadata set, click "New...". This will launch the Greenstone Editor for Metadata Sets, GEMS. An initial popup window prompts you for the set name, namespace and description. You can also choose to base the new set on an existing one, in which case it will inherit all the elements from the specified set. Click OK. The main window shows the elements of metadata set on the left hand side, and some attributes for the set on the right hand side. If you have based the set on an existing one, one or more elements will be displayed. Clicking one displays attributes of the element in the right hand side.</p>
 
 <p>To add a new element, right click on the name of the set and choose "Add Element". To add a new subelement, right click on the element and choose "Add Subelement". Elements and subelements can be deleted by choosing "Delete (Sub)element" from the right click menu. </p>
@@ -28,5 +28,5 @@
 <p>Sometimes two metadata sets may have the same namespace, for example, Dublin Core and Qualified Dublin Core both use the namespace "dc". Such sets cannot be used in the collection at the same time. If you try to add a set with a namespace already used by the collection, a warning will be shown. If you go ahead, the existing set will be removed and the new one added. Any assigned metadata values will be transferred to the new set providing those elements still exist.</p>
 
-<p>With GEMS upi can edit existing metadata sets as well as create new ones. Clicking the "Edit" button launches GEMS with the specified metadata set open. Once you have finished editing the set (as described above), save it (File-&gt;Save) and close GEMS.</p>
+<p>With GEMS you can edit existing metadata sets as well as create new ones. Clicking the "Edit" button launches GEMS with the specified metadata set open. Once you have finished editing the set (as described above), save it (File-&gt;Save) and close GEMS.</p>
 
 <p>If a collection no longer needs a metadata set, select it and press "Remove". If you have assigned any metadata to its elements you will be asked how to deal with this metadata when you next open the collection.</p>
Index: /gli/trunk/help/en/theenrichview.htm
===================================================================
--- /gli/trunk/help/en/theenrichview.htm	(revision 15032)
+++ /gli/trunk/help/en/theenrichview.htm	(revision 15033)
@@ -14,9 +14,9 @@
 <p>Use the "Enrich" view to assign metadata to the documents in the collection. Metadata is data about data -- typically title, author, creation date, and so on.  Each metadata item has two parts: "Element" tells what kind of item it is (such as author), and "Value" gives the value of that metadata element (such as the author's name).</p>
 
-<p>On the left of the "Enrich" view is the Collection Tree. All the right-click functionality that was available for the Collection Tree in the "Gather" view is available here too. To the right is the Metadata Table, which shows metadata for any selected files or folders in the Collection Tree.  Columns are named in grey at the top, and can be resized by dragging the separating line. If several files or folders are selected, black text indicates that the value is common to all of the selected items, while grey text indicates that it is not. Editing grey values will only affect those documents with that metadata. Any new metadata values entered will be added to all selected values.</p>
+<p>On the left of the "Enrich" view is the Collection Tree. All the right-click functionality that was available for the Collection Tree in the "Gather" view is available here too. To the right is the Metadata Table, which shows metadata for any selected files or folders in the Collection Tree.  Columns are named in black at the top, and can be resized by dragging the separating line. If several files or folders are selected, black text indicates that the value is common to all of the selected items, while grey text indicates that it is not. Editing grey values will only affect those documents with that metadata. Any new metadata values entered will be added to all selected items.</p>
 
 <p>A folder icon may appear beside some metadata entries.  This indicates that the values are inherited from a parent (or ancestor) folder.  Inherited metadata cannot be edited or removed, only appended to or overwritten.  Click on the folder icon to go immediately to the folder where the metadata is assigned.</p>
 
-<p>Clicking on a metadata element in the table will display the existing values for that element in the "Existing values for ..." area below the table. This "Value Tree" expands and collapses.  Usually it is a list that shows all values entered previously for the selected element.  Clicking an entry automatically places it into the value field.  Conversely, typing in the text field selects the Value Tree entry that starts with the characters you have typed.  Pressing [Tab] auto-completes the typing with the selected value.</p>
+<p>Clicking on a metadata element in the table will display the existing values for that element in the "Existing values for ..." area below the table. This "Value Tree" expands and collapses.  Usually it is a list that shows all values entered previously for the selected element.  Clicking an entry automatically places it into the value field.  Conversely, typing in the value field selects the Value Tree entry that starts with the characters you have typed.  Pressing [Tab] auto-completes the typing with the selected value.</p>
 
 <p>Metadata values can be organized into a hierarchy. This is shown in the Value Tree using folders for internal levels. Hierarchical values can be entered using the character "|" to separate the levels. For example, "Cards|Red|Diamonds|Seven" might be used in a hierarchy that represents a pack of playing cards. This enables values to be grouped together. Groups can also be assigned as metadata to files.</p>