Index: /greenstone3/trunk/build.xml
===================================================================
--- /greenstone3/trunk/build.xml	(revision 15041)
+++ /greenstone3/trunk/build.xml	(revision 15042)
@@ -50,4 +50,7 @@
 -->
 
+  <!--the first two properties have to be put on the top to be used by build.properties-->
+  <property name="src.packages.home" value="${basedir}/src/packages"/>
+  <property name="gdbm.home" value="${src.packages.home}/gdbm-1.8.3"/>
   <property file="build.properties"/>
   <property file="${user.home}/build.properties"/>
@@ -57,5 +60,4 @@
   <property name="build.home" value="${basedir}/build"/>
   <property name="src.home" value="${basedir}/src/java"/>
-  <property name="src.packages.home" value="${basedir}/src/packages"/>
   <property name="packages.home" value="${basedir}/packages"/>
   <!-- this may be set in build.properties, eg if you move the web dir to 
@@ -167,6 +169,5 @@
   <property name="gli.home" value="${basedir}/gli"/>
   <property name="javagdbm.home" value="${src.packages.home}/javagdbm"/>
-  <property name="gdbm.home" value="${src.packages.home}/gdbm-1.8.3"/>
-
+ 
   <!--<property name="indexers.home" value="${basedir}/src/packages/indexers">-->
   <condition property="indexers.home" value="${basedir}/src/packages/indexers">
@@ -462,5 +463,5 @@
 
   <target name="copy-xalan-for-mac" if="current.os.ismac">
-       <copy file="${web.lib}/xalan.jar.tmp" tofile="${tomcat.installed.path}/common/endorsed/xalan.jar"/> 
+       <copy file="${web.lib}/xalan.jar.tmp" tofile="${catalina.home}/common/endorsed/xalan.jar"/> 
   </target>
 
@@ -924,5 +925,5 @@
   </target>
   
-  <target name="configure-packages" depends="init,configure-gdbm,configure-javagdbm,configure-indexers" 
+  <target name="configure-packages" depends="init,configure-javagdbm,configure-indexers" 
     description="Configure only the packages."/>
   
@@ -980,7 +981,4 @@
 	<target name="compile-packages" description="Compile only the source packages">
          
-                <!-- gdbm -->
-                <antcall target="compile-gdbm" />
-
 		<!-- javagdbm -->
 		<echo>compile javagdbm</echo>
@@ -1431,4 +1429,5 @@
     <mkdir dir="${basedir}/web/interfaces/flax"/>
     <mkdir dir="${basedir}/web/sites/flax"/>
+     <mkdir dir="${basedir}/flax-resources"/>
     <svn>
       <checkout url="${flax.svn.root}/flax1.0/trunk/src/java/org/flax/"  
@@ -1443,8 +1442,8 @@
                 destPath="${basedir}/web/sites/flax"/>
       <checkout url="${flax.svn.root}/flax1.0/trunk/flax-resources"
-                destPath="${basedir}"/>
+                destPath="${basedir}/flax-resources"/>
     </svn>
     <move file="${basedir}/web/WEB-INF/web.xml" tofile="${basedir}/web/WEB-INF/web.xml.greenstone3backup"/>
-    <svncall target="flax-copy-files" />
+    <antcall target="flax-copy-files" />
 
     <property name="coll.dir" value="${basedir}/web/sites/flax/collect"/>
@@ -1469,10 +1468,13 @@
 	  </svn>
 	</target>
-	<target name="flax-copy-files" description="copy some flax files into the appropriate greenstone3 directories">
+
+   <target name="flax-copy-files" description="copy some flax files into the appropriate greenstone3 directories">
 	  <echo>copying flax files ...</echo>
 	  <copy file="${basedir}/web/WEB-INF/classes/flax/web.xml" todir="${basedir}/web/WEB-INF" overwrite="true" />
 	  <!-- A configuration file containing web service binding information for the axis engine -->
-	  <copy file="${basedir}/web/WEB-INF/classes/flax/server-config.wsdd" todir="${basedir}/web/WEB-INF" overwrite="true" />
-	</target>
+           <copy file="${basedir}/web/WEB-INF/classes/flax/server-config.wsdd" todir="${basedir}/web/WEB-INF" overwrite="true" />
+           <copy file="${basedir}/flax-resources/flax-build.xml" todir="${basedir}" overwrite="true" />
+   
+   </target>
       <!--install gdbm stuff -->
 
@@ -1483,4 +1485,6 @@
       <untar compression= "gzip" src="${src.packages.home}/gdbm-1.8.3.tar.gz" dest="${src.packages.home}" />  
       <chmod dir="${src.packages.home}/gdbm-1.8.3" perm="ugo+wrx" includes="**" />
+      <antcall target="configure-gdbm" />
+      <antcall target="compile-gdbm" /> 
   </target>  
 